# Visualisierung 2 - Hue-Preserving Color Blending

![Application Screenshot](html/screenshot.png)
The dataset used for this screenshot is the [stag beetle](https://www.cg.tuwien.ac.at/research/vis/datasets/) from Eduard Gröller with a resolution of 277x277x164.  

## Description
[Chuang et al. 2009](http://ieeexplore.ieee.org/document/5290739/) describes a method for color blending which preserves the original hue in blended regions. This probject contains a demo implementation of the hue-preserving color blending algorithm for front-to-back compositing. The application shows a side-by-side comparison of the reference implementation for hue preserving color blending and alpha compositing for a volumetric data set. With the goal of providing a realtime solution, the algorithm is implemented as an OpenGL shader to enable GPU accelerated rendering. Values for Colors, the seperation function and orientation can be changed and are updated in realtime without any visible delay. Volume orientation is computed directly in the shader during texture lookup, which means there is no copy or moving overhead as there would be with pre-rotated volumes.  

## Code Documentation
Sourcecode documentation can be found [here](doc/index.html).

## Application
This application uses QT5 for the user interface and rendering is done using OpenGL/GLSL 4.3 Core Profile.  
To run the application, navigate to `bin` and run `Visualisierung.exe`  

## Authors
Julian Strohmayer 01426125 email: e1426125@student.tuwien.ac.at  
Patrick Gantner 01576033 email: e1576033@student.tuwien.ac.at