/** File reader helper class from Vis 1.
 *
 *  @author Julian Strohmayer 01426125 <e1426125@student.tuwien.ac.at>
 *  @author Patrick Gantner 01576033 <e1576033@student.tuwien.ac.at>
 *  @date 05.06.2018
 */

#include "FileReader.h"

#include <fstream>
#include <sstream>
#include <iostream>

std::string readFile(const std::string& filePath, size_t& error) {
	std::stringstream content;

	std::ifstream file;
	file.exceptions(std::ifstream::failbit | std::ifstream::badbit);
	try {
		file.open(filePath);
		content << file.rdbuf();
	}
	catch (std::ifstream::failure e) {
		std::clog << "Unable to read file " + filePath << std::endl;
		error = 1;
	}

	return content.str();
}
