/**
 *  @author Julian Strohmayer 01426125 <e1426125@student.tuwien.ac.at>
 *  @author Patrick Gantner 01576033 <e1576033@student.tuwien.ac.at>
 *  @date 05.06.2018
 */

#ifndef RENDERABLE_H
#define RENDERABLE_H

#include <vector>

#include <glm/glm.hpp>

/**
 * @brief Helper struct for passing renderable data in the application.
 */
struct RenderData {
    /**
     * @brief array with vertices (vec3)
     */
    std::vector<glm::vec3> vertices;
    /**
     * @brief array with indices for the given vertex array
     */
    std::vector<unsigned int> indices;
};

#endif
